Xcode 4.0.2 and XS modules

Piers Cawley pdcawley at bofh.org.uk
Sat Apr 23 07:50:36 BST 2011

I'm using XCode 4 and things are fine. But I'm running the developer
preview of Lion which is entirely ppc free.

On Saturday, April 23, 2011, Jesse Vincent <jesse at fsck.com> wrote:
> Ah. So _this_ is what fucked jwz.
> --
> Sent from my Android phone with K-9 Mail. Please excuse my brevity.
> Simon Wistow <simon at thegestalt.org> wrote:
> Apple, evil bastards that they are, don't ship with GCC installed. You have to install Xcode to get it. And now, because apparently raping puppies to death with nuns or whatever it is they do for fun, isn't sufficiently evil you have to buy Xcode. True it's only $4 but it's still a giant fuck you. What's even worse is that apparently the version you can buy - 4.0.2 - doesn't come with a PPC assembler. Which would be fine. Except that the system Perl is built *with* arch ppc. So now no CPAN modules with XS will build. Beyond installing my own Perl (which I can do but is kind of a ball ache) what's the best solution to this. I've found an old copy of Xcode on their site now after some poking around but saying "Install an old version of software" is a less than ideal solution.

More information about the london.pm mailing list